using System;
using System.ComponentModel;
namespace ChuPiao.Common.Model
{
	/// <summary>
	/// 机器玩法类型
	/// </summary>
	[Serializable]
	public class M_MacPlayTypeEntity : INotifyPropertyChanged
	{
        public M_MacPlayTypeEntity()
        { }
        #region Model
        private int _p_macplayid;
        private int _p_maclotid;
        private string _p_macplayname = "";
        /// <summary>
        /// 机器玩法ID
        /// </summary>
        public int P_MacPlayId
        {
            set 
            { 
                _p_macplayid = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("P_MacPlayId"));
                }
            }
            get { return _p_macplayid; }
        }
        /// <summary>
        /// 机器彩种ID
        /// </summary>
        public int P_MacLotId
        {
            set 
            { 
                _p_maclotid = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("P_MacLotId"));
                }
            }
            get { return _p_maclotid; }
        }
        /// <summary>
        /// 机器玩法名称
        /// </summary>
        public string P_MacPlayName
        {
            set { _p_macplayname = value; }
            get { return _p_macplayname; }
        }
        #endregion Model

        #region ICloneable 成员

        public object Clone()
        {
            return this.MemberwiseClone();
        }
        #endregion

        #region INotifyPropertyChanged 成员

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}

